## com.saxonica.update
Class UpdateParser

    java.lang.Object
      net.sf.saxon.expr.ExpressionParser
          net.sf.saxon.query.QueryParser
              com.saxonica.update.UpdateParser

    public class UpdateParser

extends QueryParser

Parser for the XQuery Update extensions

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.query.QueryParser
`QueryParser.LetClause`

Nested classes/interfaces inherited from class net.sf.saxon.expr.ExpressionParser
`ExpressionParser.FLWORClause, ExpressionParser.ForClause, ExpressionParser.TemporaryContainer`

Field Summary

Fields inherited from class net.sf.saxon.query.QueryParser
`executable, FUNCTION_IS_NONDETERMINISTIC, FUNCTION_IS_PRIVATE, FUNCTION_IS_UPDATING, importedModules, queryVersion, XQUERY10, XQUERY30`

Fields inherited from class net.sf.saxon.expr.ExpressionParser
`allowXPath30Syntax, compileWithTracing, defaultContainer, env, language, languageVersion, nameChecker, rangeVariables, scanOnly, SEQUENCE_TYPE, t, XPATH, XQUERY, XSLT_PATTERN`

Constructor Summary
`UpdateParser()`

Method Summary
`int` `getPermittedFunctions()` Get the permitted set of standard functions in this environment
`Expression` `parseExprSingle()` Parse an ExprSingle
`protected void` `parseRevalidationDeclaration()` Parse the "declare revalidation" declaration.
`protected void` `parseUpdatingFunctionDeclaration()` Parse an updating function declaration (allowed in XQuery Update only)

Methods inherited from class net.sf.saxon.query.QueryParser

`applyModuleImport, atStartOfRelativePath, checkForClauseAllowingEmpty, getExecutable, getLanguage, grumble, lookAhead, makeLetExpression, makeSimpleContent, makeStringJoin, makeStringLiteral, makeXQueryExpression, newParser, normalizeEQName, parseConstructor, parseContextItemDeclaration, parseDecimalFormatDeclaration, parseDefaultDecimalFormat, parseExtensionExpression, parseForClauseAllowingVersion, parseForExpression, parseFunctionDeclaration, parseGroupByClause, parseLibraryModule, parseNamedNamespaceConstructor, parseNamespaceConstructor, parseTypeswitchExpression, parseValidateExpression, processGroupingExpression, readCollationName, setDefaultValue, setDisableCycleChecks, setExecutable, stringify, URILiteral`

Methods inherited from class net.sf.saxon.expr.ExpressionParser

`currentTokenDisplay, declareRangeVariable, disallowedAtStartOfRelativePath, expect, findRangeVariable, getDefaultContainer, getNameChecker, getRangeVariables, getStaticContext, getTokenizer, grumble, grumble, grumble, isCompileWithTracing, isKeyword, isNamespaceTestAllowed, makeCurriedFunction, makeLocalNameTest, makeNameCode, makeNameCodeSilently, makeNamespaceTest, makeNameTest, makeStructuredQName, makeTracer, nextToken, parse, parseBasicStep, parseDynamicFunctionCall, parseExpression, parseFunctionArgument, parseFunctionCall, parseFunctionItemType, parseInlineFunction, parseItemType, parseLiteralFunctionItem, parseNodeTest, parseNumericLiteral, parseParenthesizedItemType, parsePathExpression, parsePredicate, parseRelativePath, parseRemainingPath, parseSequenceType, parseSequenceType, parseStepExpression, parseStringLiteral, parseSwitchExpression, parseTryCatchExpression, parseUnionExpression, parseVariableReference, resolveFunctionName, setCompileWithTracing, setDefaultContainer, setLanguage, setLocation, setLocation, setRangeVariables, setRangeVariableStack, setScanOnly, undeclareRangeVariable, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateParser

    public UpdateParser()

Method Detail

### getPermittedFunctions

    public int getPermittedFunctions()

  Get the permitted set of standard functions in this environment

  Overrides:
    `getPermittedFunctions` in class `QueryParser`

### parseRevalidationDeclaration

    protected void parseRevalidationDeclaration()
                                         throws XPathException

  Parse the "declare revalidation" declaration. Syntax: <"declare" "revalidation"> ("strict" | "lax" | "skip")

  Overrides:
    `parseRevalidationDeclaration` in class `QueryParser`
  Throws:
    `XPathException`

### parseUpdatingFunctionDeclaration

    protected void parseUpdatingFunctionDeclaration()
                                             throws XPathException

  Parse an updating function declaration (allowed in XQuery Update only)

  Overrides:
    `parseUpdatingFunctionDeclaration` in class `QueryParser`
  Throws:
    `XPathException`

### parseExprSingle

    public Expression parseExprSingle()
                               throws XPathException

  Parse an ExprSingle

  Overrides:
    `parseExprSingle` in class `ExpressionParser`
  Returns:
    the resulting subexpression
  Throws:
    `XPathException` - if any error is encountered

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.